/* ==========================================================================
   TYPOGRAPHY
   ========================================================================== */

html {
    font-size: 16px;
}

body {

    font-family: var(--rb-font-family);

    font-size: var(--rb-font-body);
    font-weight: var(--rb-font-weight-regular);

    line-height: 1.5;

    color: var(--rb-text);

    background: var(--rb-background);

    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;

}

.title-l {
    font-size: clamp(0.64rem, 0.8vw + 0.4rem, 1.68rem);
}
.title-xl {
    font-size: clamp(1rem, 2vw + 0.5rem, 2.8rem);
}

.title-xxl {
    font-size: clamp(1.4rem, 6vw + 0.5rem, 5rem);
}

.title-xxxl {
    font-size: clamp(2.5rem, 6vw + 1rem, 10rem);
}
.hero-title span {
    color: var(--gold);
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0;
    font-weight: var(--rb-font-weight-medium);
    line-height: 1;
}

p {

    margin: 0;

}

strong {

    font-weight: var(--rb-font-weight-bold);

}
.text-gradient {
    display: inline;
    line-height: inherit;
/*
    background-image:linear-gradient(150deg, rgba(21, 234, 237, .65) 0%, rgba(45, 187, 253, .35) 100%), url('//img.sauea.com/rain-42139.png');
    background-repeat: no-repeat, repeat;
    background-size: 100% 100%, 240px 240px;
    background-position: center, 0 0;
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    -webkit-text-fill-color: transparent;
*/
/*
    background-image:
        linear-gradient( 150deg, rgba(21,234,237,.65) 0%, rgba(45,187,253,.35) 100%),
        url('//img.sauea.com/rain-42139.png');
    background-repeat: no-repeat, repeat;
    background-size: 100% 100%, 296px 296px;
    background-position: center, 0 0;
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    -webkit-text-fill-color: transparent;
    animation: navigationNoise 28s linear infinite;
*/

}

.text-gradient span {
    background-image:
        linear-gradient( 150deg, rgba(21,234,237,.65) 0%, rgba(45,187,253,.35) 100%),
        url('//img.sauea.com/rain-42139.png');
    background-repeat: no-repeat, repeat;
    background-size: 100% 100%, 296px 296px;
    background-position: center, 0 0;
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    -webkit-text-fill-color: transparent;
    animation: navigationNoise 28s linear infinite;
}
